export default {
  methods: {
    /**
     * 获取订单状态
     * @param order
     * @param isReturnStatus 是否使用订单的returnStatus字段 (目前只有订单详情,订单列表使用returnStatus)
     * @returns {string}
     */
    orderStatus (order, isReturnStatus) {
      // <c:if test="${order.orderStatus ==0 }">已取消</c:if> <c:if
      //     test="${order.orderStatus ==1 }">待付款</c:if> <c:if
      //   test="${order.orderStatus ==2 && order.returnStatus != 6}">待发货</c:if> <c:if
      //   test="${order.orderStatus ==3 && order.returnStatus != 6}">待收货</c:if> <c:if
      //   test="${order.orderStatus ==4 && order.returnStatus != 6}">已签收</c:if><c:if
      //   test="${order.returnStatus == 6}">已退款</c:if>
      let orderStatus, orderReturnstatus
      try {
        orderStatus = `${order.orderStatus}`
        orderReturnstatus = `${isReturnStatus ? order.returnStatus : order.orderReturnstatus}`
      } catch (e) {
        console.log(e)
        orderStatus = ''
        orderReturnstatus = ''
      }

      let status = ''
      if (orderReturnstatus === '6') {
        status = '已退款'
      } else if (orderStatus === '0') {
        status = '已取消'
      } else if (orderStatus === '1') {
        status = '待付款'
      } else if (orderStatus === '2') {
        status = '待发货'
      } else if (orderStatus === '3') {
        status = '待收货'
      } else if (orderStatus === '4') {
        status = '已签收'
      }
      // console.log('==========   status    ==========%o', status)
      return status
    },

    returnOrderStates () {
      return {
        0: '无退货',
        1: '待审核',
        2: '待退款',
        3: '已驳回',
        4: '已取消',
        5: '待收货',
        6: '已完成',
        7: '待退货'
      }
    },
    returnOrderStatus (order, isReturnStatus) {
      const status = isReturnStatus ? order.returnStatus : order.orderReturnStatus
      const state = this.returnOrderStates()
      return state[status]
    },
    showReTurnBtn (order) {
      let showBtn = false
      const status = this.orderStatus(order, true)
      const state = this.returnOrderStatus(order, true)
      if (state === '无退货') {
        if (['待发货', '已签收'].indexOf(status) > -1) {
          showBtn = true
        }
      }
      return showBtn
    }
  }
}
