import { Http } from '../baseHttp'
const baseUrl = '/back/iorder'
class Order extends Http {
  constructor () {
    super(baseUrl)
  }

  getOrders (params) {
    const __OPTIONS__ = {
      pageNo: 1,
      pageSize: 50,
      orderId: '',
      customerMobile: '',
      logisticsBillno: '',
      custNo: '',
      storeName: '',
      remark: '',
      orderStatus: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`orderlist`, params)
  }
  getOrderById (id) {
    return this.get(`orderDetail`, { orderId: id })
  }

  getExpress (params) {
    const __OPTIONS__ = {
      logisticsCode: '',
      logisticsNo: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`getExpress`, params)
  }

  updateOrderRemark (params) {
    const __OPTIONS__ = {
      orderId: '',
      remark: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`updateOrderRemark`, params)
  }

  updateOrderLogisticsInfo (params) {
    const __OPTIONS__ = {
      orderId: '',
      logisticsCode: '',
      logisticsName: '',
      logisticsNo: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`updateOrderLogisticsInfo`, params)
  }
}
export default new Order()
