import { Http } from '../baseHttp'
const baseUrl = '/back/iorderConfig'
class OrderConfig extends Http {
  constructor () {
    super(baseUrl)
  }

  saveOrUpdate (params) {
    const __OPTIONS__ = {
      id: '',
      inventoryLimitQuantity: '',
      sendCouponFlag: '',
      couponCode: '',
      inventoryLimitFlag: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.post(`saveOrUpdate`, params)
  }

  getEntityById (params = {}) {
    const __OPTIONS__ = {
      orderConfigId: 1
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`getEntityById`, params)
  }
}
export default new OrderConfig()
