export default {
  methods: {
    /**
     * 计算选择的商品优惠价格
     * @param activitys 商品
     * @returns {*} 商品价格
     */
    calcActivityPrice (activitys) {
      activitys = activitys || []
      return activitys.reduce((total, item) => {
        const activityPrice = item.activityPrice || 0
        total += activityPrice * item.count
        return total
      }, 0)
    },
    initSelection (rows) {
      if (rows) {
        rows.forEach(row => {
          this.$refs.multipleTable.toggleRowSelection(row)
        })
      } else {
        this.$refs.multipleTable.clearSelection()
      }
    }
  }
}
