export default {
  data () {
    return {
      showLogisticsInfo: false
    }
  },
  computed: {
    expressInfo () {
      return this.$store.getters.getExpress
    }
  },
  methods: {
    getExpress (order) {
      if (!(order.logisticsBillno && order.logisticsCode)) {
        return false
      }
      const params = {
        logisticsCode: order.logisticsCode,
        logisticsNo: order.logisticsBillno
      }
      this.$store.dispatch('getExpress', params)
    },
    showLogistics () {
      this.showLogisticsInfo = true
    }
  }
}
