import { Http } from '../baseHttp'
const baseUrl = '/back/ireturn'
class ReturnOrder extends Http {
  constructor () {
    super(baseUrl)
  }

  saveOrderReturn (params) {
    const __OPTIONS__ = {
      orderId: 1,
      custNo: '',
      storeId: '',
      storeName: '',
      returnUser: '',
      orderReturnProductList: '',
      remark: '',
      reason: '',
      isCustomer: 2, // 写死区分是后台发起的退货

      orderReturnImage: [],

      promotionName: '',
      promotionPrice: '',

      couponName: '',
      couponPrice: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.post('saveOrderReturn', params)
  }

  getReturnOrders (params) {
    const __OPTIONS__ = {
      // pageNo: 1,
      // pageSize: 50,
      // orderId: '',
      // customerMobile: '',
      // logisticsId: '',
      // custNo: '',
      // orderStatus: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`returnlist`, params)
  }
  getReturnOrderById (id) {
    return this.get(`returnDetail`, { returnId: id })
  }

  updateStatus (params) {
    const __OPTIONS__ = {
      orderId: '',
      returnId: '',
      oldStatus: '',
      status: '',
      realRefundAmount: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`updateStatus`, params)
  }

  payReturn (params) {
    const __OPTIONS__ = {
      orderId: '',
      returnId: '',
      status: '',
      realRefundAmount: ''
    }
    params = Object.assign({}, __OPTIONS__, params)
    return this.get(`payReturn`, params)
  }
}
export default new ReturnOrder()
