// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import 'es6-promise/auto'
import store from './store'

// import VueRx from 'vue-rx'
import { sync } from 'vuex-router-sync'

import { momentPlugin, utils } from '@/plugin'
// Vue.use(VueRx)
Vue.config.productionTip = false

// 注册router 到 store
sync(store, router)
// const unsync = sync(store, router)
// unsync()

Vue.use(momentPlugin)
Vue.use(utils)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
