import Vue from 'vue'
import Vuex from 'vuex'
import createLogger from 'vuex/dist/logger'
import global from './global'
// import user from './user'
// import order from './order'
// import returnOrder from './returnOrder'
// import orderConfig from './orderConfig'
Vue.use(Vuex)

const debug = process.env.NODE_ENV !== 'production'

const store = new Vuex.Store({
  modules: {
    global
    // user,
    // order,
    // returnOrder,
    // orderConfig
  },
  strict: debug,
  plugins: debug ? [createLogger()] : []
})

if (module.hot) {
  module.hot.accept([
    // './getters',
    // './actions',
    // './mutations'
  ], () => {
    store.hotUpdate({
      // getters: require('./getters'),
      // actions: require('./actions'),
      // mutations: require('./mutations')
    })
  })
}

export default store
