export default {
  path: '/error',
  name: '',
  auth: false,
  component: resolve => require(['./error.vue'], resolve),
  children: [{
    path: '500',
    name: 'page-500',
    meta: {
      title: '500 - 系统内部错误',
      auth: true
    },
    component: resolve => require(['./code500.vue'], resolve)
  }, {
    path: '400',
    name: 'page-404',
    meta: {
      title: '404 - 页面不存在',
      auth: true
    },
    component: resolve => require(['./code500.vue'], resolve)
  }]
}
